package org.jeecg.modules.zrzyqc.qyxx.mapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.jeecg.modules.zrzyqc.qyxx.entity.QcQyxx;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.jeecg.modules.zrzyqc.qyxx.entity.XzdxVO;

/**
 * @Description: 用地单位信息
 * @Author: jeecg-boot
 * @Date: 2022-07-08
 * @Version: V1.0
 */
public interface QcQyxxMapper extends BaseMapper<QcQyxx> {
    String selectqyxx();

    String yxdls();

    String sbdksAdmin();

    String sbdks(String name);
    String sbdksMj(String name);
    String tgsh(String username);

    String wsh(String username);

    String btgsh(String username);

    String dqsbs(String username);

    String cwth(String username);
    String shmj(String username);

    String wshsl(String username);

    String tgshAdmin();

    String wshAdmin();

    String btgshAdmin();

    String wshslAdmin();

    String shzsl(String username);

    String shzslAdmin();

    void upSfsb(String id);

    void updatePid(@Param("PARENT_ID") String PARENT_ID, @Param("ORG_CODE") String ORG_CODE);

    Integer getPWDlog(String username);


    String selectdwxx();

    String sydwyxdls();

    String sydwsbdksAdmin();

    String sydwtgshAdmin();

    String sydwwshAdmin();

    String sydwbtgshAdmin();

    String sydwshzslAdmin();

    List<HashMap<String, Object>> sjyttjsz(@Param("xzqh") String xzqh);

    List<HashMap<String, Object>> sjyttjss(@Param("xzqh") String xzqh);

    List<HashMap<String, Object>> dtdktj(@Param("orgCode") String orgCode);

    List<HashMap<String, Object>> dtdktjByxq(@Param("orgCode") String orgCode, @Param("xzqh") String xzqh);

    List<HashMap<String, Object>> ssdkmj();

    List<HashMap<String, Object>> ssdkmjbyqx(@Param("xzqh") String xzqh);

    List<HashMap<String, Object>> szdkmj();

    List<HashMap<String, Object>> szdkmjByqx(@Param("xzqh") String xzqh);

    List<HashMap<String, Object>> yjdwhz(@Param("xzqh") String xzqh);

    String sbdksMjAdmin();

    String shmjNot(String username);

    String wshslAdminMJ();

    String wshslMJ(String username);

    String sydwsbdksAdminMj();

    String sydwwshAdminWshMj();

    List<String> queryYears();

    /**
     * 统计闲置低效
     * @param userName
     * @return
     */
    XzdxVO getXzdx(@Param("userName") String userName);

    XzdxVO getXzdxSz();

    /**
     * 获取所有企业信息
     * @return
     */
    @MapKey("key") // 指定键字段
    Map<String, Map<String, Object>> getFirstOrgNames();
}